summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giuseppe Di Terlizzi2015-11-04 18:25:46 +0100
committer Willy Sudiarto Raharjo2015-11-04 18:25:46 +0100
commit1cb5b7575d0d2f084138c2a8c55f4962f77c17da (patch)
tree0aa84e3b389bc1dd52bcb4cf81ffca2ab2fc3a34
parent5f51a8cd0f0f0a85d4a20211cb473c4a09d0d80c (diff)
downloadslackbuilds-1cb5b7575d0d2f084138c2a8c55f4962f77c17da.tar.gz
network/davmail: Added (Mail Gateway).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/davmail/README7
-rw-r--r--network/davmail/davmail.SlackBuild87
-rw-r--r--network/davmail/davmail.desktop10
-rw-r--r--network/davmail/davmail.info10
-rw-r--r--network/davmail/davmail.sh7
-rw-r--r--network/davmail/slack-desc19
6 files changed, 140 insertions, 0 deletions
diff --git a/network/davmail/README b/network/davmail/README
new file mode 100644
index 0000000000..46905d5527
--- /dev/null
+++ b/network/davmail/README
@@ -0,0 +1,7 @@
+DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP Exchange gateway
+allowing users to use any mail/calendar client with an Exchange
+server, even from the internet or behind a firewall through Outlook
+Web Access. DavMail now includes an LDAP gateway to Exchange global
+address book and user personal contacts to allow recipient address
+completion in mail compose window and full calendar support with
+attendees free/busy display.
diff --git a/network/davmail/davmail.SlackBuild b/network/davmail/davmail.SlackBuild
new file mode 100644
index 0000000000..0caf6b3225
--- /dev/null
+++ b/network/davmail/davmail.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for DavMail
+
+# Copyright (c) 2015 Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+# Written by Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>
+
+PRGNAM=davmail
+VERSION=${VERSION:-4.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=x86 ;;
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-linux-$ARCH-$VERSION*
+tar xvf $CWD/$PRGNAM-linux-$ARCH-$VERSION*.tgz
+cd $PRGNAM-linux-$ARCH-$VERSION*
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/$PRGNAM/lib
+
+cp -a davmail.jar $PKG/usr/share/$PRGNAM
+cp -a lib $PKG/usr/share/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+
+unzip -q davmail.jar tray2.png tray32.png tray48.png
+
+mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48}/apps/
+
+install -Dm644 tray2.png $PKG/usr/share/icons/hicolor/16x16/apps/davmail.png
+install -Dm644 tray32.png $PKG/usr/share/icons/hicolor/32x32/apps/davmail.png
+install -Dm644 tray48.png $PKG/usr/share/icons/hicolor/48x48/apps/davmail.png
+
+cp $CWD/davmail.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/bin
+install -Dm755 $CWD/davmail.sh $PKG/usr/share/davmail
+( cd $PKG/usr/bin ; ln -s /usr/share/davmail/davmail.sh davmail)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/davmail/davmail.desktop b/network/davmail/davmail.desktop
new file mode 100644
index 0000000000..7b806b006a
--- /dev/null
+++ b/network/davmail/davmail.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Version=1.0
+Name=DavMail
+GenericName=DavMail
+Comment=DavMail POP/IMAP/SMTP/CalDav/LDAP Exchange Gateway
+Categories=Network;
+Exec=davmail
+Icon=davmail
+Terminal=false
+Type=Application
diff --git a/network/davmail/davmail.info b/network/davmail/davmail.info
new file mode 100644
index 0000000000..3e47b5f9d2
--- /dev/null
+++ b/network/davmail/davmail.info
@@ -0,0 +1,10 @@
+PRGNAM="davmail"
+VERSION="4.6.2"
+HOMEPAGE="http://davmail.sourceforge.net"
+DOWNLOAD="http://sourceforge.net/projects/davmail/files/davmail/4.6.2/davmail-linux-x86-4.6.2-2377.tgz"
+MD5SUM="fc7f8b95b6d1f3206194cadc706d913d"
+DOWNLOAD_x86_64="http://sourceforge.net/projects/davmail/files/davmail/4.6.2/davmail-linux-x86_64-4.6.2-2377.tgz"
+MD5SUM_x86_64="86fcfa8d651b4bb2a3512db839c75900"
+REQUIRES="jdk"
+MAINTAINER="Giuseppe Di Terlizzi"
+EMAIL="giuseppe.diterlizzi@gmail.com"
diff --git a/network/davmail/davmail.sh b/network/davmail/davmail.sh
new file mode 100644
index 0000000000..c142f3fd23
--- /dev/null
+++ b/network/davmail/davmail.sh
@@ -0,0 +1,7 @@
+#!/bin/sh
+DAVMAIL_HOME=/usr/share/java/davmail
+for name in $DAVMAIL_HOME/lib/*.jar ; do
+ CP=$CP:$name
+done
+CP=$CP:$DAVMAIL_HOME/davmail.jar
+exec "$JAVA_HOME/bin/java" -cp $CP 'davmail.DavGateway' "$@"
diff --git a/network/davmail/slack-desc b/network/davmail/slack-desc
new file mode 100644
index 0000000000..4afeafab1a
--- /dev/null
+++ b/network/davmail/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name,
+# and the '|'on the right side marks the last column you can put a
+# character in. You must make exactly 11 lines for the formatting to be
+# correct. It's also customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+davmail: DavMail (POP/IMAP/SMTP/Caldav/Carddav/LDAP Exchange Gateway)
+davmail:
+davmail: DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP Exchange gateway
+davmail: allowing users to use any mail/calendar client with an Exchange
+davmail: server, even from the internet or behind a firewall through Outlook
+davmail: Web Access. DavMail now includes an LDAP gateway to Exchange global
+davmail: address book and user personal contacts to allow recipient address
+davmail: completion in mail compose window and full calendar support with
+davmail: attendees free/busy display.
+davmail:
+davmail: Home-Page: http://davmail.sourceforge.net/